%define majver %(echo %version | cut -d. -f 1-2)
%define libver      2.0

Name:          libgtk2
Version:       2.24.33
Release:       1mamba
Summary:       The GIMP ToolKit (GTK+), a library for creating GUIs
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gtk.org
# bugfixes: http://ftp.acc.umu.se/pub/GNOME/sources/%{pkgname}
Source:        http://ftp.gnome.org/pub/GNOME/sources/gtk+/%{majver}/gtk+-%{version}.tar.xz
Patch1:        libgtk-2.16.4-gdk_x11_atom_to_xatom_for_display_tra.patch
Patch2:        libgtk-2.18.6-fix_nautilus_crash.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libatk-devel
BuildRequires: libbrotli-devel
BuildRequires: libbsd-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcups-devel
BuildRequires: libexpat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libxcb-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: gobject-introspection-devel
BuildRequires: p11-kit-devel
BuildRequires: bash
BuildRequires: coreutils
BuildRequires: libtasn1-devel
BuildRequires: binutils
BuildRequires: gettext-devel
BuildRequires: libnettle-devel
BuildRequires: libgdk-pixbuf-devel >= 2.28.1-2mamba
Requires(post):libglib
Requires(post):libgdk-pixbuf
Requires:      shared-mime-info
Provides:      gtk2 = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libgtk2 = %{?epoch:%epoch:}%{version}-%{release}
Provides:      gtk+ = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libgail
Obsoletes:     libgail
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# FIXME:
# checking for db2html... false

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating graphical user interfaces for the X Window System.
GTK+ was originally written for the GIMP (GNU Image Manipulation Program) image processing program, but is now used by several other programs as well.

If you are planning on using the GIMP or another program that uses GTK+, you'll need to have the gtk+ package installed.

%package devel
Summary:       Devel package for GTK+
Group:         Development/Libraries
Requires:      pkgconfig
Requires:      libglib-devel
Requires:      libatk-devel
Requires:      libcairo-devel
Requires:      libpango-devel
Requires:      glproto-devel
Requires:      libharfbuzz-devel
Requires:      libXxf86vm-devel
Requires:      libXdamage-devel
Requires:      libXfixes-devel
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      gtk+-devel = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libgail-devel
Obsoletes:     libgail-devel

%description devel
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating graphical user interfaces for the X Window System.
GTK+ was originally written for the GIMP (GNU Image Manipulation Program) image processing program, but is now used by several other programs as well.

If you are planning on using the GIMP or another program that uses GTK+, you'll need to have the gtk+ package installed.

This package contains static libraries and header files need for development.

%package apidocs
Summary:       libgtk API documentation
Group:         Documentation
Requires:      gtk-doc
Provides:      libgail-apidocs
Obsoletes:     libgail-apidocs

%description apidocs
gtk+ API documentation.

%debug_package

%prep
%setup -q -n gtk+-%{version}
#%patch1 -p1
# FIXME: recheck this patch because it removes pixmap bg reset functionality to fix segfault with nautilus
%patch2 -p1

%build
%configure \
%ifnarch arm
   --enable-gtk-doc
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall \
   RUN_QUERY_IMMODULES_TEST=false \
   RUN_QUERY_LOADER_TEST=false

install -d %{buildroot}%{_sysconfdir}/gtk-2.0

rm -f %{buildroot}%{_bindir}/gtk-update-icon-cache

%find_lang gtk20
%find_lang gtk20-properties
cat gtk20.lang gtk20-properties.lang > %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%posttrans
FS=`stat -c %s %{_sysconfdir}/gtk-2.0/gtk-pixbuf.loaders 2>/dev/null`
[ "$FS" == "0" -o ! "$FS" ] && \
   %{_bindir}/gdk-pixbuf-query-loaders > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders
FS=`stat -c %s %{_sysconfdir}/gtk-2.0/gtk.immodules 2>/dev/null`
[ "$FS" == "0" -o ! "$FS" ] && \
   %{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/gtk-2.0
%{_sysconfdir}/gtk-2.0/im-multipress.conf
%{_bindir}/gtk-builder-convert
%{_bindir}/gtk-query-immodules-2.0
#%{_bindir}/gtk-update-icon-cache
%{_datadir}/themes/*
%dir %{_datadir}/gtk-2.0
%{_datadir}/gtk-2.0/*
%{_libdir}/libgailutil.so.*
%{_libdir}/libgdk-x11-%{libver}.so.*
%{_libdir}/libgtk-x11-%{libver}.so.*
%dir %{_libdir}/gtk-2.0
%{_libdir}/gtk-2.0/*
%{_libdir}/girepository-1.0/Gdk*.typelib
%{_libdir}/girepository-1.0/Gtk*.typelib
%exclude %{_libdir}/gtk-2.0/include
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_bindir}/gtk-demo
%{_datadir}/aclocal/*
%{_libdir}/libgailutil.la
%{_libdir}/libgailutil.so
%{_libdir}/libgdk-x11-%{libver}.la
%{_libdir}/libgdk-x11-%{libver}.so
%{_libdir}/libgtk-x11-%{libver}.la
%{_libdir}/libgtk-x11-%{libver}.so
%{_libdir}/gtk-2.0/include
%{_datadir}/gir-1.0/Gdk*.gir
%{_datadir}/gir-1.0/Gtk*.gir
%{_libdir}/pkgconfig/*
%{_includedir}/gail-1.0/libgail-util/gail*.h
%{_includedir}/gail-1.0/gail/gailwidget.h
%dir %{_includedir}/gtk-2.0
%{_includedir}/gtk-2.0/*
%dir %{_includedir}/gtk-unix-print-2.0
%{_includedir}/gtk-unix-print-2.0/*
%doc ChangeLog HACKING NEWS README

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/gail-libgail-util
%{_datadir}/gtk-doc/html/gail-libgail-util/*
%dir %{_datadir}/gtk-doc/html/gdk2
%{_datadir}/gtk-doc/html/gdk2/*
%dir %{_datadir}/gtk-doc/html/gtk2
%{_datadir}/gtk-doc/html/gtk2/*

%changelog
* Mon Dec 21 2020 Automatic Build System <autodist@mambasoft.it> 2.24.33-1mamba
- automatic version update by autodist

* Tue May 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.32-2mamba
- rebuilt

* Thu Jan 11 2018 Automatic Build System <autodist@mambasoft.it> 2.24.32-1mamba
- automatic version update by autodist

* Sat Sep 10 2016 Automatic Build System <autodist@mambasoft.it> 2.24.31-1mamba
- automatic version update by autodist

* Sun Mar 06 2016 Automatic Build System <autodist@mambasoft.it> 2.24.30-1mamba
- automatic version update by autodist

* Sat Dec 12 2015 Automatic Build System <autodist@mambasoft.it> 2.24.29-1mamba
- automatic version update by autodist

* Sun May 17 2015 Automatic Build System <autodist@mambasoft.it> 2.24.28-1mamba
- automatic version update by autodist

* Fri Apr 24 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.27-2mamba
- remove gtk-update-icon-cache provided by libgtk 3.16

* Wed Mar 04 2015 Automatic Build System <autodist@mambasoft.it> 2.24.27-1mamba
- automatic version update by autodist

* Fri Feb 20 2015 Automatic Build System <autodist@mambasoft.it> 2.24.26-1mamba
- automatic version update by autodist

* Thu Oct 16 2014 Automatic Build System <autodist@mambasoft.it> 2.24.25-1mamba
- automatic version update by autodist

* Mon Jun 23 2014 Automatic Build System <autodist@mambasoft.it> 2.24.24-1mamba
- automatic version update by autodist

* Tue Apr 15 2014 Automatic Build System <autodist@mambasoft.it> 2.24.23-1mamba
- automatic version update by autodist

* Fri Oct 11 2013 Automatic Build System <autodist@mambasoft.it> 2.24.22-1mamba
- automatic version update by autodist

* Mon Oct 07 2013 Automatic Build System <autodist@mambasoft.it> 2.24.21-1mamba
- automatic version update by autodist

* Thu Sep 26 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.20-4mamba
- libgtk-devel: add requires for libharfbuzz-devel, libXxf86vm-devel, libXdamage-devel, libXfixes-devel

* Wed Aug 28 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.20-3mamba
- rebuilt with libpng 1.6

* Tue Aug 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.20-2mamba
- gir typelib files moved from devel to main library package

* Fri Jul 05 2013 Automatic Build System <autodist@mambasoft.it> 2.24.20-1mamba
- automatic version update by autodist

* Sun Jun 16 2013 Automatic Build System <autodist@mambasoft.it> 2.24.19-1mamba
- automatic version update by autodist

* Mon May 13 2013 Automatic Build System <autodist@mambasoft.it> 2.24.18-1mamba
- automatic version update by autodist

* Mon Mar 11 2013 Automatic Build System <autodist@mambasoft.it> 2.24.17-1mamba
- automatic version update by autodist

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 2.24.16-1mamba
- automatic version update by autodist

* Sun Feb 10 2013 Automatic Build System <autodist@mambasoft.it> 2.24.15-1mamba
- automatic version update by autodist

* Sat Dec 08 2012 Automatic Build System <autodist@mambasoft.it> 2.24.14-1mamba
- automatic version update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 2.24.13-1mamba
- automatic version update by autodist

* Fri Sep 14 2012 Automatic Build System <autodist@mambasoft.it> 2.24.12-1mamba
- automatic version update by autodist

* Mon Aug 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.11-1mamba
- update to 2.24.11
- require shared-mime-info; if missing all images will be broken

* Thu May 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.10-3mamba
- libgtk2-devel: require glproto-devel
- don't install /usr/include/gtk symlink to /usr/include/gtk-2.0

* Tue May 08 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.10-2mamba
- added gobject-introspection-devel build requirement and re-enable files commented in previous build

* Fri May 04 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.24.10-1mamba
- update to 2.24.10

* Sat Nov 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.7-1mamba
- update to 2.24.7

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 2.24.5-1mamba
- automatic update by autodist

* Mon Apr 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.4-1mamba
- update to 2.24.4
- renamed from libgtk to libgtk2

* Sun Jan 30 2011 Automatic Build System <autodist@mambasoft.it> 2.24.0-1mamba
- automatic update by autodist

* Mon Nov 15 2010 Automatic Build System <autodist@mambasoft.it> 2.22.1-1mamba
- automatic update to 2.22.1 by autodist

* Mon Oct 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.22.0-1mamba
- update to 2.22.0

* Fri Jul 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.1-5mamba
- rebuilt with libpng 1.4

* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 2.20.1-4mamba
- automatic rebuild by autodist

* Fri Jun 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.1-3mamba
- fixed typo in posttrans script
- added PreReq for libglib

* Sat May 22 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.1-2mamba
- added posttrans script to double check that modules files are not null

* Mon May 03 2010 Automatic Build System <autodist@mambasoft.it> 2.20.1-1mamba
- automatic update to 2.20.1 by autodist

* Fri Apr 02 2010 Automatic Build System <autodist@mambasoft.it> 2.20.0-1mamba
- automatic update to 2.20.0 by autodist

* Wed Mar 17 2010 Automatic Build System <autodist@mambasoft.it> 2.18.9-1mamba
- automatic update to 2.18.9 by autodist

* Tue Mar 16 2010 Automatic Build System <autodist@mambasoft.it> 2.18.8-1mamba
- automatic update to 2.18.8 by autodist

* Sun Mar 14 2010 Automatic Build System <autodist@mambasoft.it> 2.18.7-1mamba
- automatic update to 2.18.7 by autodist

* Mon Feb 01 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.18.6-3mamba
- added (brutal) patch to fix crash with nautilus and lxpanel

* Sat Jan 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.18.6-2mamba
- rebuilt with debug package

* Tue Jan 12 2010 Automatic Build System <autodist@mambasoft.it> 2.18.6-1mamba
- automatic update to 2.18.6 by autodist

* Wed Dec 09 2009 Automatic Build System <autodist@mambasoft.it> 2.18.5-1mamba
- automatic update to 2.18.5 by autodist

* Tue Dec 01 2009 Automatic Build System <autodist@mambasoft.it> 2.18.4-1mamba
- automatic update to 2.18.4 by autodist

* Sat Oct 17 2009 Automatic Build System <autodist@mambasoft.it> 2.18.3-1mamba
- automatic update to 2.18.3 by autodist

* Tue Oct 06 2009 Automatic Build System <autodist@mambasoft.it> 2.18.2-1mamba
- automatic update to 2.18.2 by autodist

* Thu Oct 01 2009 Automatic Build System <autodist@mambasoft.it> 2.18.1-1mamba
- automatic update to 2.18.1 by autodist

* Sun Sep 27 2009 Automatic Build System <autodist@mambasoft.it> 2.18.0-1mamba
- automatic update to 2.18.0 by autodist

* Fri Sep 11 2009 Automatic Build System <autodist@mambasoft.it> 2.16.6-1mamba
- automatic update to 2.16.6 by autodist

* Sat Jul 18 2009 Automatic Build System <autodist@mambasoft.it> 2.16.5-1mamba
- automatic update to 2.16.5 by autodist

* Mon Jul 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16.4-3mamba
- added better patch to prevent loss of events (e.g. cut/paste)

* Thu Jul 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16.4-2mamba
- added gdk_x11_atom_to_xatom_for_display_tra patch (http://bugzilla.gnome.org/show_bug.cgi?id=580511)

* Thu Jul 02 2009 Automatic Build System <autodist@mambasoft.it> 2.16.4-1mamba
- automatic update to 2.16.4 by autodist

* Sun Jun 28 2009 Automatic Build System <autodist@mambasoft.it> 2.16.3-1mamba
- automatic update to 2.16.3 by autodist

* Sun Jun 07 2009 Automatic Build System <autodist@mambasoft.it> 2.16.2-1mamba
- automatic update to 2.16.2 by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 2.16.1-2mamba
- automatic rebuild by autodist

* Sun Apr 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16.1-1mamba
- automatic update to 2.16.1 by autodist

* Thu Mar 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16.0-1mamba
- automatic update to 2.16.0 by autodist

* Thu Jan 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.7-1mamba
- automatic update to 2.14.7 by autodist

* Tue Dec 16 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.6-1mamba
- automatic update to 2.14.6 by autodist

* Tue Nov 25 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.5-1mamba
- automatic update to 2.14.5 by autodist

* Fri Nov 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.4-2mamba
- libgtk-devel: added requirement for libcairo-devel

* Sat Oct 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.4-1mamba
- automatic update to 2.14.4 by autodist

* Fri Sep 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.3-1mamba
- automatic update to 2.14.3 by autodist

* Fri Sep 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.2-1mamba
- automatic update to 2.14.2 by autodist

* Fri Jul 04 2008 gil <puntogil@libero.it> 2.12.11-1mamba
- update to 2.12.11
- build with: glib-2.16.4-1mamba

* Thu Mar 13 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.9-1mamba
- update to 2.12.9

* Sat Dec 01 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.2-1mamba
- update to 2.12.2
- fix %%{includedir}/gtk related entries in devel files list

* Thu Sep 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.0-2mamba
- added workaround for flash plugin crash in konqueror and opera

* Wed Sep 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.0-1mamba
- update to 2.12.0

* Mon Mar 26 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.10.11-1qilnx
- update to version 2.10.11 by autospec

* Tue Jan 23 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.10.9-1qilnx
- update to version 2.10.9 by autospec

* Fri Jan 05 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.10.6-2qilnx
- new package for API documentation

* Thu Jan 04 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.10.6-1qilnx
- update to version 2.10.6 by autospec
- updated Xorg build requirements
- added build requirement for cups

* Tue Jul 04 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.17-4qilnx
- create gdk-pixbuf.loaders and gtk.immodules during package upgrade

* Thu May 25 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.17-3qilnx
- make symlink /usr/include/gtk point to /usr/include/gtk-2.0 simply

* Wed May 24 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.17-2qilnx
- add /usr/include/gtk symlink pointing to /usr/include/gtk-2.0/gtk

* Thu Apr 27 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.17-1qilnx
- update to version 2.8.17 by autospec

* Sun Mar 19 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.16-1qilnx
- update to version 2.8.16 by autospec
- added libgtk2 and gtk2 provides for compatibility with other distributions

* Mon Mar 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.14-1qilnx
- update to version 2.8.14 by autospec

* Tue Nov 29 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.8-1qilnx
- update to version 2.8.8 by autospec

* Mon Nov 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.7-1qilnx
- update to version 2.8.7 by autospec

* Fri Oct 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.6-2qilnx
- %{_bindir}/gdk-pixbuf-csource executable moved to devel package
- %{_libdir}/gtk-2.0/include moved to devel package
- gtk documentation moved to devel package
- man pages moved to devel package
- use %%find_lang

* Tue Oct 04 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.6-1qilnx
- update to version 2.8.6 by autospec

* Wed Sep 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.4-1qilnx
- update to version 2.8.4 by autospec

* Wed Sep 14 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.8.3-1qilnx
- update to version 2.8.3 by autospec

* Wed Aug 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.9-1qilnx
- update to version 2.6.9 by autospec

* Fri Jun 17 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.8-1qilnx
- update to version 2.6.8 by autospec

* Thu Apr 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.7-1qilnx
- update to version 2.6.7 by autospec

* Tue Apr 12 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.6-1qilnx
- update to version 2.6.6 by autospec

* Tue Apr 12 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.0-2qilnx
- fix security issue QSA-2005-040 (CAN-2005-0891)
- specfile updates
- added missing build requirements

* Mon Dec 20 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-1qilnx
- update to version 2.6.0 by autospec

* Tue Jul 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.4-1qilnx
- new version build

* Mon Jun 28 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-3qilnx
- added missing %%defattr for devel package

* Tue Jun 22 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-2qilnx
- added creation of gtk.immodules on %%post and %%postun scripts

* Tue Jun 22 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-1qilnx
- new version build

* Fri Nov 21 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.4-3qilnx
- moved /usr/share/gtk-2.0/demo files from devel to main package

* Mon Nov 03 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.4-2qilnx
- removed XFree-pkgconfig dependancy now that libfontconfig is stand-alone

* Mon Oct 27 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.4-1qilnx
- new version rebuild

* Fri Jun 13 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.2.1-2qilnx
- added devel package requirements
- added gdk-pixbuf.loaders automatic creation

* Fri Jun 13 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.2.1-1qilnx
- creation of gtk package
